/*
 * Management of Data in Wireless Sensor Networks (MaD-WiSe)
 *
 * Copyright 2004-2006 Consiglio Nazionale delle Ricerche
 * p.le Aldo Moro, 7 00185 Roma (IT)
 * Authors are listed in the file AUTHORS.TXT
 * This file is subject to the MIT license, to be found in LICENSE.TXT
 */

#ifndef ENERGYEFFICIENCY_H
#define ENERGYEFFICIENCY_H

/* synchronization channel default values */
enum {
	SYNCH_DEFAULT_INTERARRIVAL  = 60000u,
	SYNCH_DEFAULT_DURATION	    = 5000,
	SYNCH_DEFAULT_EXPIRY	    = 0
};

/* powersaving and radio state values */
enum {
	ON  = 1,
	OFF = 0
};

enum {
  DEFAULT_TOLERANCE  = 1000,
  DEFAULT_RADIODELAY = 1000
};

#endif
